package com.sw.mes.yb.ipc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.ipc.entity.ParamSet;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;

public interface ParamSetService extends BaseService<ParamSet> {

	List<ParamSet> findAll(RequestPage page);

	List<ParamSet> findAll(Specification<ParamSet> specification);

	List<ParamSet> findByExample(Specification<ParamSet> specification, RequestPage page);

    List<ParamSet> findByParamName(String paramName);

	@Override
    List<ParamSet> findAll();

	List<String> selectProcessName(String paramName);

	/**
	 * 获取理论工时
	 * @param name
	 * @return
	 */
	ParamSet getByProcessName(String name);

	List<ParamSet> findByDeviceName(String deviceTypeCode);
}
